package com.hc.tripbusiness.model.login;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class AuthEntity implements Serializable {

    private static final long serialVersionUID = -9061398570055647081L;

    @NotNull(message = "用户名不可以为空")
    private String userName;

    @NotNull(message = "密码不可以为空")
    private String password;

    @NotNull(message = "登录类型不可以为空")
    private Integer loginType;


}
