package com.hc.tripcore.utils.pay.browser.alipay.bean;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author 10696
 * @since 2020/11/26 14:43
 */

@Data
public class AliPayBean {

    /**
     * 商户订单号
     */
    @NotNull(message = "订单号不可以为空")
    private String out_trade_no;

    /**
     * 订单名称
     */
    @NotNull(message = "订单名称不可以为空")
    private String subject;

    /**
     * 付款金额
     */
    @NotNull(message = "付款金额不可以为空")
    private String total_amount;

    /**
     * 商品描述
     */
    @NotNull(message = "商品描述不可以为空")
    private String body;

    /**
     * 超时时间参数
     */
    private String timeout_express = "10m";

    /**
     * 产品编号
     */
    private String product_code = "FAST_INSTANT_TRADE_PAY";


}