package com.hc.tripbusiness.model.login;

import com.hc.tripbusiness.model.Users;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel
@Data
public class AccessEntity implements Serializable{
	
	/**
	 * 序列化标识
	 */
	private static final long serialVersionUID = -5164168823800497252L;

	@ApiModelProperty(value = "用户信息")
	private AuthEntity auth;

	@ApiModelProperty(value = "token",example = "e781d000-0498-46d3-90df-96edfd95bcd6")
	private TokenEntity token;

	@ApiModelProperty(value = "user")
	private Users user;

//	@ApiModelProperty(value = "userAdmin")
//	private UserAdmin userAdmin;

}
