package com.hc.tripweb.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.service.Contact;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;

/**
 * @author 10696
 * 已将最新版本回退到最低版本
 */

@Configuration
public class SwaggerOneConfig {

    @Bean
    public Docket createRestApiFront() {
        return new Docket(DocumentationType.SWAGGER_12)
                .apiInfo(apiInfo())
                .groupName("front-api")
                .select()
                .apis(RequestHandlerSelectors.basePackage("com.hc.tripweb.controller"))
                .paths(PathSelectors.any())
                .build();
    }


    private ApiInfo apiInfo() {
        return new ApiInfoBuilder()
                .title("Swagger一接口文档")
                .description("这里是一行描述")
                .contact(new Contact("作者", "作者地址", "作者邮箱"))
                .version("1.0")
                .build();
    }


}
